{
  "schema_version": "1.4.0",
  "id": "GHSA-g967-rw3c-p2f7",
  "modified": "2022-05-03T03:18:10Z",
  "published": "2022-05-03T03:18:10Z",
  "aliases": [
    "CVE-2007-2799"
  ],
  "details": "Integer overflow in the \"file\" program 4.20, when running on 32-bit systems, as used in products including The Sleuth Kit, might allow user-assisted attackers to execute arbitrary code via a large file that triggers an overflow that bypasses an assert() statement.  NOTE: this issue is due to an incorrect patch for CVE-2007-1536.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-2799"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=241022"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/34731"
    },
    {
      "type": "WEB",
      "url": "https://issues.rpath.com/browse/RPL-1311"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A11012"
    },
    {
      "type": "WEB",
      "url": "http://docs.info.apple.com/article.html?artnum=307562"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/archives/security-announce/2008/Mar/msg00001.html"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/38498"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25394"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25544"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25578"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25931"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26203"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26294"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26415"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/29179"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/29420"
    },
    {
      "type": "WEB",
      "url": "http://support.avaya.com/elmodocs2/security/ASA-2007-290.htm"
    },
    {
      "type": "WEB",
      "url": "http://www.amavis.org/security/asa-2007-3.txt"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2007/dsa-1343"
    },
    {
      "type": "WEB",
      "url": "http://www.gentoo.org/security/en/glsa/glsa-200705-25.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:114"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2007_40_file.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0391.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/469520/30/6420/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/24146"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1018140"
    },
    {
      "type": "WEB",
      "url": "http://www.trustix.org/errata/2007/0024"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-439-2"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/2071"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2008/0924/references"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-05-23T21:30:00Z"
  }
}